Bug 602720 - $HOME and $USER are empty at the login/logout script execution
Summary: $HOME and $USER are empty at the login/logout script execution
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: lxdm   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-10 14:55 UTC by ffprado
Modified: 2010-06-14 11:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-11 11:22:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ffprado 2010-06-10 14:55:01 UTC
Description of problem:when the script login is executed the var $HOME and $USER are empty.


Version-Release number of selected component (if applicable):


How reproducible:run a script in /etc/lxdm/PreLogin with the content: echo $USER $HOME, directing the output for a file.


Steps to Reproduce:
1.
2.
3.
  
Actual results:$HOME and $USER are empty


Expected results: $HOME has path to the home directory of the user that was authenticated
$USER has the name of the user that was authenticated

Additional info:

Comment 1 Christoph Wickert 2010-06-11 11:22:17 UTC
PreLogin is run *before* login and not in the users context. The variables you are talking about are set later, so what you expect is not supposed to work.

Comment 2 ffprado 2010-06-14 11:38:39 UTC
(In reply to comment #1)
> PreLogin is run *before* login and not in the users context. The variables you
> are talking about are set later, so what you expect is not supposed to work.    

There's a way to make a home directory or set somethings when some user login? Like I do in gdm whith /etc/gdm/PostLogin


Note You need to log in before you can comment on or make changes to this bug.